public class Pascal2Java
{
  public static void main(String args[]) throws Exception
  {
    if (args.length == 1)
    {
      String fname= args[0];
      java.io.FileInputStream  file    = new java.io.FileInputStream(fname);
      Pascal2JavaParser        parser  = new Pascal2JavaParser(file);

      System.err.println( "Little Pascal to Java Compiler" );
      System.err.println( "Using class Trans, version -3.1 LHASA/DICKER MOENCH" );
      System.err.println( "(C) 2002 by Peter Kehl" );
      System.err.println();

      try {
 	  	 Trans translation;
		 StringBuffer output= new StringBuffer();

       System.err.println("reading from file: "+args[0]+"...");
       System.err.println();

       translation= parser.program();
		 translation.write( output);
		 System.out.println( output);
      }

      catch(Exception e)
      {
        System.err.println("error: ");
        e.printStackTrace();
      }
    }
    else {
      System.err.println("usage: java Pascal2Java FileName [>OutputFileName]");
    }
  }
}

